<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package online_mobile_accessories
 */
$online_mobile_accessories_heading_setting  = get_theme_mod( 'online_mobile_accessories_post_heading_setting' , true );
$online_mobile_accessories_meta_setting  = get_theme_mod( 'online_mobile_accessories_post_meta_setting' , true );
$online_mobile_accessories_image_setting  = get_theme_mod( 'online_mobile_accessories_post_image_setting' , true );
$online_mobile_accessories_content_setting  = get_theme_mod( 'online_mobile_accessories_post_content_setting' , true );
$online_mobile_accessories_read_more_setting = get_theme_mod( 'online_mobile_accessories_read_more_setting' , true );
$online_mobile_accessories_read_more_text = get_theme_mod( 'online_mobile_accessories_read_more_text', __( 'Read More', 'online-mobile-accessories' ) );
?>

<div class="col-lg-4 col-md-6">
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php 
    $online_mobile_accessories_meta_order = get_theme_mod('online_mobile_accessories_blog_meta_order', array('heading', 'author', 'featured-image', 'content', 'button'));
    
    foreach ($online_mobile_accessories_meta_order as $online_mobile_accessories_order) :
        if ('heading' === $online_mobile_accessories_order) :
            if ($online_mobile_accessories_heading_setting) { ?>
                <header class="entry-header">
                    <?php if (is_single()) {
                        the_title('<h1 class="entry-title" itemprop="headline">', '</h1>');
                    } else {
                        the_title('<h2 class="entry-title" itemprop="headline"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>');
                    } ?>
                </header>
            <?php }
        endif;

        if ('author' === $online_mobile_accessories_order) :
            if ('post' === get_post_type() && $online_mobile_accessories_meta_setting) { ?>
                <div class="entry-meta">
                    <?php online_mobile_accessories_posted_on(); ?>
                </div>
            <?php }
        endif;

        if ('featured-image' === $online_mobile_accessories_order) :
            if ($online_mobile_accessories_image_setting) { ?>
                <?php echo (!is_single()) 
                    ? '<a href="' . esc_url( get_the_permalink() ) . '" class="post-thumbnail wow fadeInUp" data-wow-delay="0.2s">'
                    : '<div class="post-thumbnail wow fadeInUp" data-wow-delay="0.2s">';
                ?>
                    <?php if (has_post_thumbnail()) {
                        if (is_active_sidebar('right-sidebar')) {
                            the_post_thumbnail('online-mobile-accessories-with-sidebar', array('itemprop' => 'image'));
                        } else {
                            the_post_thumbnail('online-mobile-accessories-without-sidebar', array('itemprop' => 'image'));
                        }
                    } else { ?>
                        <img src="<?php echo esc_url(get_stylesheet_directory_uri() . '/images/default.png'); ?>">
                    <?php } ?>
                <?php echo (!is_single()) ? '</a>' : '</div>'; ?>
            <?php }
        endif;

        if ('content' === $online_mobile_accessories_order) :
            if ($online_mobile_accessories_content_setting) { ?>
                <div class="entry-content" itemprop="text">
                    <?php if (is_single()) {
                        the_content(
                            sprintf(
                                wp_kses(
                                    __('Continue reading %s <span class="meta-nav">&rarr;</span>', 'online-mobile-accessories'),
                                    array('span' => array('class' => array()))
                                ),
                                '<span class="screen-reader-text">"' . get_the_title() . '"</span>'
                            )
                        );
                    } else {
                        the_excerpt();
                    }
                    
                    wp_link_pages(array(
                        'before' => '<div class="page-links">' . esc_html__('Pages:', 'online-mobile-accessories'),
                        'after'  => '</div>',
                    ));
                    ?>
                </div>
            <?php }
        endif;

        if ('button' === $online_mobile_accessories_order) :
            if (!is_single() && $online_mobile_accessories_read_more_setting) { ?>
                <div class="read-more-button">
                    <a href="<?php echo esc_url(get_permalink()); ?>" class="read-more-button"><?php echo esc_html($online_mobile_accessories_read_more_text); ?></a>
                </div>
            <?php }
        endif;
    endforeach; ?>
</article>
</div>